Upgrade to the controlling browser WebSocket.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream \
--header 'Sec-WebSocket-Protocol: <sec-websocket-protocol>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream"
headers = {"Sec-WebSocket-Protocol": "<sec-websocket-protocol>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Sec-WebSocket-Protocol': '<sec-websocket-protocol>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Sec-WebSocket-Protocol", "<sec-websocket-protocol>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Live stream
Upgrade to the controlling browser WebSocket.
Supply the exact subprotocol returned by the stream-ticket endpoint in
Sec-WebSocket-Protocol. Tickets are one-use, one controlling stream is
allowed per session, origins are validated, frames are bounded to 8 MiB,
and ownership, permission, entitlement, and session state are rechecked
every 30 seconds.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
sessions
/
{session_uuid}
/
stream
Upgrade to the controlling browser WebSocket.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream \
--header 'Sec-WebSocket-Protocol: <sec-websocket-protocol>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream"
headers = {"Sec-WebSocket-Protocol": "<sec-websocket-protocol>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Sec-WebSocket-Protocol': '<sec-websocket-protocol>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/sessions/{session_uuid}/stream"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Sec-WebSocket-Protocol", "<sec-websocket-protocol>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I